package app18b.action;

//import app15a.dao.DAOException;
import app18b.dao.CustomerDAO;
import app18b.dao.DAOFactory;
import app18b.form.CustomerForm;
import app18b.to.CustomerTO;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

public class UpdateCustomerAction extends Action {

  public ActionForward execute(ActionMapping mapping, ActionForm form,
    HttpServletRequest request, HttpServletResponse response) {

    ActionMessages actionMessages = new ActionMessages();
    
  	CustomerForm customerForm = (CustomerForm) form;
    CustomerTO customerTO = new CustomerTO();
    
    // populate customerTO with the value of customerForm
		try {	    
    	customerTO.setId(customerForm.getId());
	    customerTO.setName(customerForm.getName());
  	  customerTO.setAddress(customerForm.getAddress());
    	customerTO.setPhone(customerForm.getPhone());    
  	  CustomerDAO customerDAO = DAOFactory.getInstance().getCustomerDAO();    
      customerDAO.updateCustomer(customerTO);
      actionMessages.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("success.update"));
      saveMessages(request, actionMessages);
      return (mapping.findForward("success"));
    }
    catch (Exception ex) {
      actionMessages.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("failed.update"));
      saveMessages(request, actionMessages);
    	return (mapping.findForward("failed"));
    }
    
  }
}
